﻿@model SinglePetOwnerViewModel

<h4><i class="fa fa-user fa-fw"></i>Klijent:</h4>
<hr />

<table class="table-striped" style="font-size:large">
    <tbody>
        <tr>
            <th>Ime: </th>
            <td>@Model.PetOwner.FirstName</td>
        </tr>
        <tr>
            <th>Prezime: </th>
            <td>@Model.PetOwner.LastName</td>
        </tr>
        <tr>
            <th>Broj telefona: </th>
            <td>@Model.PetOwner.PhoneNumber</td>
        </tr>
        <tr>
            <th>E-pošta: </th>
            <td>@Model.PetOwner.Email</td>
        </tr>
        <tr>
            <th>Ulica i broj: </th>
            <td>@Model.PetOwner.StreetAdress</td>
        </tr>
        <tr>
            <th>Opština: </th>
            <td>@Model.PetOwner.Municipality</td>
        </tr>
        <tr>
            <th>Datum registracije: </th>
            <td>@Model.PetOwner.RegistrationDate.ToString("dd/MM/yyyy H:mm")</td>
        </tr>
        <tr>
            <th>Korisničko ime: </th>
            <td>@Model.PetOwner.UserName</td>
        </tr>
        <tr>
            <th>Ljubimci: </th>
            <td>
                <table class="key-value-table">
                    <tbody>
                        @foreach (Pet p in @Model.PetOwner.Pets)
                        {
                            <tr>
                                <td><a asp-controller="Pet" asp-action="Details/@p.PetId" style="color:black">@p.Name (@p.Race)</a></td>
                            </tr>
                        }
                    </tbody>
                </table>
            </td>
        </tr>
    </tbody>
</table>
<hr />

<a asp-controller="PetOwner" asp-action="Overview" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-table fa-sm" aria-hidden="true"></i> Klijenti</a>
<a asp-controller="PetOwner" asp-action="Update" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-pencil-alt fa-sm" aria-hidden="true"></i> Izmeni</a>
<a asp-controller="Pet" asp-action="Insert" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-paw fa-sm" aria-hidden="true"></i> Dodaj ljubimca</a>
<a href="/PetOwner/QRCode/@Model.PetOwner.UserName" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-qrcode fa-sm" aria-hidden="true"></i> QR</a>
<a style="margin:0px 5px 20px 0px; font-size:medium; color:white" class="btn btn-danger btn-sm" data-toggle="modal" data-target="#deleteModal"><i class="fa fa-trash-alt" aria-hidden="true"></i> Obriši</a>

<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Da li ste sigurni?</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">Kliknite "Obriši" ukoliko želite da obrišete klijenta.</div>
            <div class="modal-footer">
                <button class="btn btn-secondary" type="button" data-dismiss="modal">Ne</button>
                <a class="btn btn-danger" asp-controller="PetOwner" asp-action="Delete">Obriši</a>
            </div>
        </div>
    </div>
</div>